:root {
    --card-purple: #744557;
    --card-cyan: #acd6cc;
    --card-gold: #c48e14;
    --card-pink: #f3b4ad;
    --card-blue: #96C5DB;
    --light-grey: #d9d9d9;
}

body {
    padding-top: 40px;
}

.desk-visible {
    display: block;
}

.mobile-visible {
    display: none;
}

#home-gamme .logo-rochemazet {
    width: 50%;
    padding-bottom: 20px;
    max-width: 260px;
}

#home-gamme .reseaux-sociaux {
    position: absolute;
    right: 10%;
    top: 5%;
}

#home-gamme .reseaux-sociaux .list {
    display: flex;
    justify-content: center;
}

#home-gamme .reseaux-sociaux img {
    width: 40px;
    height: 40px;
}

hr {
    display: none;
    border-top: 2px solid var(--light-grey);
    height: 5px;
    width: 90vw;
    margin: auto;
}

footer hr {
    display: block;
}

footer {
    position: fixed;
    bottom: -32px;
    right: 0;
    left: 0;
    background-color: white;
    z-index: 10;
}

footer .reseaux-sociaux {
    display: none;
}

footer .legal {
    position: relative;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 10;
    text-align: center;
}

footer img {
    margin: 5px;
}

.card-cyan {
    background: var(--card-cyan);
}

.card-purple {
    background: var(--card-purple);
}

.card-gold {
    background: var(--card-gold);
}

.card-pink {
    background: var(--card-pink);
}

.card-blue {
    background: var(--card-blue);
}

.gamme {
    width: 90%;
    margin: auto;
    text-align: center;
    /* min-height: 730px; */
    min-height: 900px;
}

.gamme h1 {
    text-align: left;
    padding-bottom: 30px;
    font-family: 'Bebas', sans-serif;
    font-size: 50px;
}

.gamme h2 {
    text-align: left;
    padding-bottom: 10px;
    font-family: 'Bebas', sans-serif;
    font-size: 30px;
}

.gamme .block-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 10vh;
}

.gamme .block {
    margin-bottom: 40px;
    display: flex;
    z-index: 1;
}

.gamme .block .card {
    position: relative;
    margin: 0 20px auto;
    width: 270px;
    height: 340px;
    cursor: pointer;
}


/* BG square card */
.gamme .block>.card:before {
    content: "";
    width: 100% !important;
    height: 340px !important;
    left: 0;
    top: 0;
    position: absolute;
    z-index: -1;
}

.gamme .block>#roche-mazet::before {
    background: var(--card-purple);
    transform: translate(-20px, -20px);
}

.gamme .block>#lesaccords::before {
    background: var(--card-cyan);
    transform: scaleX(0.8) translate(0, 28px);
}

.gamme .block>#effervescent::before {
    background: var(--card-gold);
    transform: translate(0, -20px);
}

.gamme .block>#clairementrose::before {
    background: var(--card-pink);
    transform: translate(10px, 10px);
}

.gamme .block>#clairementblanc::before {
    background: var(--card-blue);
    transform: translate(14px, -14px);
}

.gamme .block>.card .contain {
    position: relative;
    width: 270px;
    height: 100%;
    border-radius: 10px;
    background: white;
}

/* HOVER CARD */
@media only screen and (min-width: 1260px) {


    .gamme .block .card .contain {
        overflow: hidden;
    }

    .gamme .block .card:hover .contain {
        border: solid 1px gold;
    }

    .gamme .block .card .pic,
    .gamme .block .card .text {
        transition: transform 1s;
    }

    .gamme .block .card:hover .pic,
    .gamme .block .card:hover .text {
        transform: translate(0, -100%);
    }

    .gamme .block #effervescent,
    .gamme .block #clairementblanc {
        top: 70px;
    }

    .gamme .block #roche-mazet .contain {
        border-color: var(--card-purple);
    }

    .gamme .block #lesaccords:hover .contain {
        border-color: var(--card-cyan);
    }

    .gamme .block #effervescent:hover .contain {
        border-color: var(--card-gold);
    }

    .gamme .block #clairementrose:hover .contain {
        border-color: var(--card-pink);
    }

    .gamme .block #clairementblanc:hover .contain {
        border-color: var(--card-blue);
    }
}

/* --------- */

.gamme .pic {
    /* display: none; */
    width: 100% !important;
    height: 340px !important;
    position: relative;
    z-index: 2;
    height: inherit;
    width: inherit;
}

.gamme img {
    width: 100%;
    height: 100%;
    object-fit: fill;
}

.gamme .text {
    /* display: none; */
    position: absolute;
    height: inherit;
    width: inherit;
    z-index: 1;
}

.gamme .text img {
    max-width: 60%;
    height: 135px;
    ;
    object-fit: contain;
    max-height: 100px;
    margin: 30px 0 10px 0;
}

.gamme .text .logo-clairement,
.gamme .text .logo-RM {
    max-width: 50%;
    height: 80px;
    object-fit: contain;
    max-height: 45px;
    margin: 5px 0 5px 0;
}

.gamme .text .logo-clairement {
    margin-top: 30px;
}

.gamme .text p {
    width: 80%;
    height: 60px;
    margin: auto;
    line-height: initial;
}

.gamme .text span {
    display: block;
    text-align: center;
    font-size: 1em;
    text-transform: lowercase;
}

.gamme .text a {
    position: relative;
    top: 50px;
    text-transform: uppercase;
}

.gamme .text a input {
    padding-bottom: 20px;
    font-family: 'BebasBold', sans-serif;
    font-size: 1.5em;
    line-height: 1em;
    letter-spacing: 1px;
    text-decoration: none;
    color: #FFF;
    padding: 12px 12px 8px 12px;
    cursor: pointer;
}

/* ------ small laptop screens ------ */
@media only screen and (min-width: 1261px) and (max-width: 1460px) {
    .gamme {
        min-height: auto;
    }

    .gamme .block-container {
        margin-top: 0px;
    }

    .gamme .block .card {
        width: 200px;
        height: 340px;
        cursor: pointer;
        transform: scale(0.8);
    }

    .gamme .block>.card:before {
        width: 135% !important;
    }
}

/*-----Tablettes-----*/
@media only screen and (max-width: 1260px) {
    #home-gamme footer {
        position: relative;
    }

    .gamme .block .card {
        /* margin: 0 50px auto; */
        height: auto;
    }

    .gamme .block .card .contain {
        border: none;
        background: none;
    }

    .gamme .block-container {
        flex-direction: column !important;
        margin-top: 50px;
    }

    .gamme .block-container .block {
        margin: 50px auto 100px auto;
    }

    .gamme .text {
        position: relative;
    }

    .gamme .text a {
        top: 20px;
    }

    .gamme .reseaux-sociaux {
        display: none;
    }

    footer .reseaux-sociaux {
        position: sticky !important;
        display: initial;
    }

    #home-gamme footer {
        margin-top: 0;
    }
}

/*-----Mobiles-----*/
@media only screen and (max-width: 670px) {

    .desk-visible {
        display: none;
    }

    .mobile-visible {
        display: block;
    }

    .gamme h1 {
        font-size: 35px;
    }

    .gamme .block-container {
        flex-direction: column;
        margin-top: 0px;
    }

    .gamme .block-container .block {
        flex-direction: column;
        margin-bottom: 0;
    }

    .gamme .block-container .block * {
        margin: 0px auto 30px auto;
    }

    hr {
        display: block;
    }

    .gamme .text .logo-clairement,
    .gamme .text .logo-RM {
        max-width: 50%;
        height: 80px;
        object-fit: contain;
        max-height: 45px;
        margin: 5px 0 5px 0;
    }

    .gamme .text .logo-clairement {
        margin-top: 30px;
    }

}